Last modified: 2013-04-01 18:05:06 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 42892 - Create "how to add plural support" tutorial/manual
Create "how to add plural support" tutorial/manual
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Internationalization (Other open bugs)
1.21.x
All All
: Unprioritized normal (vote)
: ---
Assigned To: Niklas Laxström
: i18n
Depends on:
Blocks: documentation plural
  Show dependency treegraph
 
Reported: 2012-12-09 10:05 UTC by Nemo
Modified: 2013-04-01 18:05 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nemo 2012-12-09 10:05:37 UTC
Bug 38781 is supposed to be a list of fairly easy bugs, but when I poke someone on one of them I see that even experienced developers don't know where to start.

[[mw:PLURAL]] and friends do explain how the English message should look like and why it's important for other languages, but not what's actually needed for PLURAL to work in a message.

We need documentation to make them really "easy" and involve some newbie dev (or busy experienced dev who is new to the thing and doesn't want to look into it too much).
Siebrand, can you assign this to someone at some point?
Comment 1 Nemo 2012-12-09 22:51:43 UTC
Niklas generously gave it a stab: https://www.mediawiki.org/wiki/Manual:Messages_API#Add_PLURAL_support
(This page seemed suitable enough to place it given the cross-references; I also merged some more stuff from [[mw:Localisation]] as there were overlaps.)
Comment 2 Siebrand Mazeland 2012-12-10 01:55:07 UTC
https://www.mediawiki.org/wiki/Manual:Messages_API#Add_PLURAL_support satisfies the requirements. Thanks for the work.
Comment 3 Nemo 2013-04-01 18:05:06 UTC
(In reply to comment #2)
> https://www.mediawiki.org/wiki/Manual:Messages_API#Add_PLURAL_support
> satisfies
> the requirements. Thanks for the work.

Btw that was killed but is still available at <https://www.mediawiki.org/w/index.php?title=Manual:Messages_API&oldid=645340#Add_PLURAL_support>

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links